# 上传批量数据


## 修改历史


## 接口定义

    /v1/batch_upload_vision_data
    POST

## Request

API请求参数

### Head

    X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{equipmentId}/{activeAccount}
    X-Sign               {String}       rsa(timestamp) 加密

### Form Parameters

    [{"uuid":"1DE5CAAA-DB46-419A-8162-EC853DAEA5CF","studentId":"1111","leftEye":1.0,"rightEye":1.2,"testType":1,"distance":3,"testTime":1560426091,"classId":1111}]

## Response

### Example

**Command**

    curl -X POST \
           -H "X-DeviceInformation: 11%2f22%2f96" \
           -H "X-Sign: qM2Ep2wGF5xCJMerRVxtzciuWi8xrjgLkhNpvV2zNLF/Rv/Rf9FF3XwsIF/BOHFPEtwbmGNX57fkdzTEriDTZaCJ566PbNy7eklZ21GdAXSsrpY6Yl6YfRqSFCJbzatB0tCAKkMkHaizJ+5g05PklCo6833E9x8VZZ8g1mf4oXg=" \
           -H "Content-Type: application/json" \
           -d '[{"dataId":"7a2adcb0-9408-11e9-ad5f-32001713d001","studentId":549,"leftEye":3.0,"rightEye":3.2,"testType":0,"distance":3,"testTime":1561113665},{"dataId":"7a2adcb0-9408-11e9-ad5f-32001713d004","studentId":549,"leftEye":3.0,"rightEye":3.2,"testType":0,"distance":3,"testTime":1561113665},{"dataId":"7a2adcb0-9408-11e9-ad5f-32001713d002","studentId":549,"leftEye":3.0,"rightEye":3.2,"testType":0,"distance":3,"testTime":1561113665}]' \
           http://localhost:8080/v1/batch_upload_vision_data

**Output**

    {
      "errno": 200,
      "data": {
        "ed7d9a9c-93c5-11e9-ad5f-32001713d000",
        "ed7daee2-93c5-11e9-ad5f-32001713d000",
      }
      "msg": "success"
    }